package bookRecommend;

public interface IRatingLinkedList {
	
	/**
	 * Returns the number of elements in this list.
	 * 
	 * @return the number of elements in this list
	 */
	public int size();
	
	/**
	 * Appends the specified element to the end of this list. 
	 * 
	 * @param e - element to be appended to this list 
	 */
	public void add(IRating e);
	
	/**
	 * Returns the element at the specified position in this list. 
	 * 
	 * @pre (0<=index<size())
	 * @param index - index of the element to return
	 * @return the element at the specified position in this list 
	 */
	public IRating get(int index);
}
