package bookRecommend;
import java.io.File;
import java.io.FileNotFoundException;
import java.util.Arrays;
import java.util.Scanner;

/**
 * This class represents a user (Member) in the system.
 * 
 */
public class Member implements IMember {

	/* Your Code Goes Here */
	
	/**
	 * Constructor
	 * 
	 * @param name
	 * @param id
	 */
	public Member(String name, int id){
		/* Your Code Goes Here */
	}
	
	/**
	 * Returns the name of the member
	 * 
	 * @return the name of the member
	 */
	public String getName(){
		/* Your Code Goes Here */
	}
	
	/**
	 * Returns the unique ID number of the member
	 * 
	 * @return the unique ID number of the member
	 */
	public int getID(){
		/* Your Code Goes Here */
	}
	
	/**
	 * Adds a rating of a book to the personal rating list of this member
	 * @pre (rating!=null)
	 * @param rating
	 */
	public void addRating(IRating rating){
		/* Your Code Goes Here */
	}
	
	/**
	 * Returns the array representation of the members ratings. For example if there are 3 books in the system and the user only rated book where bookID==2 with rating score=5 then @ret==[0,5,0]
	 * if (totalNumberOfBooks==0) $ret=null
	 *  
	 * @param totalNumberOfBooks
	 * @return the array representation of the members ratings
	 */
	public int[] getRatingArray(int totalNumberOfBooks){
		/* Your Code Goes Here */
	}
	
	/**
	 * Builds the member data from a given file. Assume max number of members in file is 1000. For each member this method adds his ratings (from the file) to his personal rating list (but only ratings which are not zero).
	 * 
	 * @param filename
	 * @return an array of members built from the given file. ($ret.length==exact number of members)
	 */
	public static IMember[] buildMemberData(String filename){
		/* Your Code Goes Here */
	}
	
	/**
	 * Returns true iff this member equals to the other member. Note that it is possible to have 2 members with the same name (but each member has a unique ID).
	 * 
	 * @param other
	 * @return true iff this member equals to the other member
	 */
	public boolean equals(IMember other){
		/* Your Code Goes Here */
	}

	/**
	 * Returns true iff this member has rated all books currently in our system.
	 * 
	 * @return true iff this member has rated all books currently in our system.
	 */
	public boolean hasReadAllBooksInSystem(int numOfBooksInSystem) {
		/* Your Code Goes Here */
	}
}
